pushd(1)

NAME
pushd - pushd - push directory to directory stack

pushd - push directory to directory stack

  Synopsis
pushd [DIRECTORY]

  Description
The pushd function adds DIRECTORY to the top of the directory stack and makes it the current working directory. popd will pop it off and return to the original directory.

  Example

pushd /usr/src

Working directory is now /usr/src

Directory stack contains /usr/src

pushd /usr/src/fish-shell

Working directory is now /usr/src/fish-shell

Directory stack contains /usr/src /usr/src/fish-shell

popd

Working directory is now /usr/src

Directory stack contains /usr/src